< návrat zpět

Diskuse


Téma: Nefunguje web rss

Zaslal/a 12.9.2020 9:00

Dobrý den,
poradíte prosím webhosting aktualizoval PHP na 5.4.16
Přestali fungovat stránky:
https://drive.google.com/file/d/1qsZhhVAddtnihNJPZkBaboZKm7gNbwK-/view?usp=sharing
Admin:
https://drive.google.com/file/d/1_qDfEi75uIfyuvLvoKqR9XdsyqjuYG9I/view?usp=sharing

Přístupy do databáze jsou správně zadány v souboru access.php (jde se s nimi přihlásit do mysql).

Děkuji moc za Vaši radu

Zaslat odpověď >

#022234
Ahoj, nepíšeš ani adresu stránek, ani verzi Sunlight, ale ve většině hostingů se dá nastavit verze PHP a pak vše funguje, snížil bych verzi PHP a zkoušel, kdy naskočí ;) Už jsem něco podobného řešil ;)
#022235
Jedná se o verzi Sunlight 7.4.2, obávám se že nižší php nelze dát.
Adresa webu: http://silocary.nivnicka.cz/
Proč je tam problém s databází? To dělá ta chybná verze php? Děkuji
#022236
Marty9xxxx snižovat PHP je nesmysl, je potřeba aktualizovat systém nikoliv omezovat prostředí. Verze 7.4.2 je 10 let stará, možná má v sobě konstrukce z PHP4, které byly již odebrány. Možná je tam jiný driver pro komunikaci s databází, těžko říct takhle z hlavy...

Aktuální verze systému je kompatibilní s verzemi PHP 5.3 - 7.1, hosting kde nabízejí jako strop PHP 5.4 bych úprkem opustil.

Nemá ten systém nějaké úpravy? To se před vydáním Sunlightu 7.5.0 dělalo běžně.

Jedinou správnou cestou je aktualizace systému. Případně to nechat jak to bylo, ale to stejně s vyžadováním HTTPS, se kterým zmíněná verze nepočítá bude znamenat konec toho webu. Dříve či později.
#022237
Potvrzuji názor Jirky, popravdě moc nepochopím, proč lpite na starších verzích a spíš se většina nedopta jen na možnosti úpravy přesně toho, co tam potřebujete zase upravit ;) systémy se neustále vyvíjejí, postupy staré 2 i více let již dnes mohou mít jiný, šikovnější, přehlednější zápis ;)
Na verzi jsem se ptal záměrně, hned bych doporučil aktualizaci na poslední verzi a od ní řešil případné problémy ;)
#022238
Na obdobné téma se mi nakonec ozval jiný uživatel, jehož jméno nechám skryto ;) na jeho vlastní žádost, ale postup je stejný a doporučuji všem ;) aktualizace na poslední aktuální verzi je nutná, ne jen možná! Popravdě se pak nebudu těmito problémy chtít zabývat ani já a popravdě, pokud Váš webhosting vyšší verzi jednoduše nepodporuje, ale platíte tam dost, pravděpodobně sypete do kasičky bez návratu a zřejmě je nutné zauvazovat nad změnou poskytovatele. Je to téměř to samé, jako by jste si nechali v počítači kupříkladu velice žádaný a aktuální antivir Avast free ve verzi 6 oproti nejnovější 8.5. nejen že je jiné grafické prostředí, jádro i specifika, do kterých jako běžní uživatelé nevidíme, on je upravený vnitřně natolik šikovné, aby nebyl tak snadno napaden jako v té verzi 6 ;) totéž s ohledem na vývoj platí právě i pro OPP, Javu, CSS, PHP a hlavně v souhrnu právě pro Sunlight 8 myslete na to prosím a jak jsem již psal, není problém poradit s úpravou, důležité je mít aktuální verzi 10
S pozdravem všem Marty 10